API Rendez-vous
Endpoints pour la gestion des rendez-vous clients.
SDK: client.app.multiService.appointment
Endpoints
Lister les rendez-vous
POST /app/{appId}/multi-service/appointments/listRequête
| Champ | Type | Requis | Description |
|---|---|---|---|
apiKey | string | Oui | Clé API |
curl -X POST https://api.applite.ai/app/{appId}/multi-service/appointments/list \
-H "Content-Type: application/json" \
-d '{"apiKey": "your_api_key"}'Créer un rendez-vous
POST /app/{appId}/multi-service/appointments/createRequête
| Champ | Type | Requis | Description |
|---|---|---|---|
apiKey | string | Oui | Clé API |
serviceId | string | Oui | ID du service |
date | string | Oui | Date/heure (ISO 8601) |
totalPrice | number | Oui | Prix total |
companyId | string | Non | ID entreprise |
customerId | string | Oui | ID du client |
agentId | string | Non | ID de l’agent |
filledFields | object | Non | Champs personnalisés remplis |
commune | string | Non | Commune/quartier |
status | string | Non | Statut initial |
curl -X POST https://api.applite.ai/app/{appId}/multi-service/appointments/create \
-H "Content-Type: application/json" \
-d '{
"apiKey": "your_api_key",
"serviceId": "serv_123",
"date": "2024-01-25T14:00:00.000Z",
"totalPrice": 1500,
"agentId": "agent_123",
"customerId": "cust_456",
"filledFields": {
"notes": "Première visite"
},
"commune": "Cocody"
}'Mettre à jour les champs personnalisés
Met à jour les champs remplis d’un rendez-vous.
POST /app/{appId}/multi-service/appointments/{id}/update-fieldsRequête
| Champ | Type | Requis | Description |
|---|---|---|---|
apiKey | string | Oui | Clé API |
filledFields | object | Oui | Champs à mettre à jour (clé: ID du champ, valeur: valeur) |
curl -X POST https://api.applite.ai/app/{appId}/multi-service/appointments/{id}/update-fields \
-H "Content-Type: application/json" \
-d '{
"apiKey": "your_api_key",
"filledFields": {
"field_id_1": "Nouvelle valeur",
"field_id_2": 42
}
}'Last updated on